## javax.vecmath
Class MismatchedSizeException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  javax.vecmath.MismatchedSizeException

All Implemented Interfaces:
  java.io.Serializable

    public class MismatchedSizeException

extends java.lang.RuntimeException

Indicates that an operation cannot be completed properly because of a mismatch in the sizes of object attributes.

See Also:
  Serialized Form

Constructor Summary
`MismatchedSizeException()` Create the exception object with default values.
`MismatchedSizeException(java.lang.String str)` Create the exception object that outputs a message.

Method Summary

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### MismatchedSizeException

    public MismatchedSizeException()

  Create the exception object with default values.

### MismatchedSizeException

    public MismatchedSizeException(java.lang.String str)

  Create the exception object that outputs a message.

  Parameters:
    `str` - the message string to be output.

Copyright 1996-2008 Sun Microsystems, Inc. All Rights Reserved. Use is subject to license terms.